/**
 * section
 * @version	2.0
 * @release	28-02-2023
 * @author	msolowski Marcin So�owski
 * @website	http://msolowski.pl
 */

section {
  padding-top: var(--global_size_100);
  padding-bottom: var(--global_size_100);
  padding-left: var(--global_padding);
  padding-right: var(--global_padding);
  /*	overflow: hidden; */
  /*	position: relative; */

  --min_global_padding_sec: 20;
  --max_global_padding_sec: 70;
  --global_padding_sec: clamp(
    calc(var(--min_global_padding_sec) * 1px),
    calc(
      (
          (
              (-1 * var(--global_scm_var)) *
                (
                  (
                      var(--max_global_padding_sec) -
                        var(--min_global_padding_sec)
                    ) / (var(--global_sc_var) - var(--global_scm_var))
                ) + var(--min_global_padding_sec)
            ) * 1px
        ) +
        (
          (var(--max_global_padding_sec) - var(--min_global_padding_sec)) /
            (var(--global_sc_var) - var(--global_scm_var)) * 100vw
        )
    ),
    calc(var(--max_global_padding_sec) * 1px)
  );

  /*	--global_size_contener_var_1440: 1440; */

  --min_global_padding_trd: 20;
  --max_global_padding_trd: 140;
  --global_padding_trd: clamp(
    calc(var(--min_global_padding_trd) * 1px),
    calc(
      (
          (
              (-1 * var(--global_scm_var)) *
                (
                  (
                      var(--max_global_padding_trd) -
                        var(--min_global_padding_trd)
                    ) /
                    (
                      var(--global_size_contener_var_1440) -
                        var(--global_scm_var)
                    )
                ) + var(--min_global_padding_trd)
            ) * 1px
        ) +
        (
          (var(--max_global_padding_trd) - var(--min_global_padding_trd)) /
            (var(--global_size_contener_var_1440) - var(--global_scm_var)) *
            100vw
        )
    ),
    calc(var(--max_global_padding_trd) * 1px)
  );
}

section.is_padding_200 {
  padding-top: var(--global_size_200);
  padding-bottom: var(--global_size_200);
}
section.is_padding_top_200 {
  padding-top: var(--global_size_200);
}
section.is_padding_bottom_200 {
  padding-bottom: var(--global_size_200);
}

section.is_padding_175 {
  padding-top: var(--global_size_175);
  padding-bottom: var(--global_size_175);
}
section.is_padding_top_175 {
  padding-top: var(--global_size_175);
}
section.is_padding_bottom_175 {
  padding-bottom: var(--global_size_175);
}

section.is_padding_150 {
  padding-top: var(--global_size_150);
  padding-bottom: var(--global_size_150);
}
section.is_padding_top_150 {
  padding-top: var(--global_size_150);
}
section.is_padding_bottom_150 {
  padding-bottom: var(--global_size_150);
}

section.is_padding_125 {
  padding-top: var(--global_size_125);
  padding-bottom: var(--global_size_125);
}
section.is_padding_top_125 {
  padding-top: var(--global_size_125);
}
section.is_padding_bottom_125 {
  padding-bottom: var(--global_size_125);
}

section.is_padding_100 {
  padding-top: var(--global_size_100);
  padding-bottom: var(--global_size_100);
}
section.is_padding_top_100 {
  padding-top: var(--global_size_100);
}
section.is_padding_bottom_100 {
  padding-bottom: var(--global_size_100);
}

section.is_padding_75 {
  padding-top: var(--global_size_75);
  padding-bottom: var(--global_size_75);
}
section.is_padding_top_75 {
  padding-top: var(--global_size_75);
}
section.is_padding_bottom_75 {
  padding-bottom: var(--global_size_75);
}

section.is_padding_60 {
  padding-top: var(--global_size_60);
  padding-bottom: var(--global_size_60);
}
section.is_padding_top_60 {
  padding-top: var(--global_size_60);
}
section.is_padding_bottom_60 {
  padding-bottom: var(--global_size_60);
}

section.is_padding_50 {
  padding-top: var(--global_size_50);
  padding-bottom: var(--global_size_50);
}
section.is_padding_top_50 {
  padding-top: var(--global_size_50);
}
section.is_padding_bottom_50 {
  padding-bottom: var(--global_size_50);
}

section.is_padding_40 {
  padding-top: var(--global_size_40);
  padding-bottom: var(--global_size_40);
}
section.is_padding_top_40 {
  padding-top: var(--global_size_40);
}
section.is_padding_bottom_40 {
  padding-bottom: var(--global_size_40);
}

section.is_padding_30 {
  padding-top: var(--global_size_30);
  padding-bottom: var(--global_size_30);
}
section.is_padding_top_30 {
  padding-top: var(--global_size_30);
}
section.is_padding_bottom_30 {
  padding-bottom: var(--global_size_30);
}

section.is_padding_25 {
  padding-top: var(--global_size_25);
  padding-bottom: var(--global_size_25);
}
section.is_padding_top_25 {
  padding-top: var(--global_size_25);
}
section.is_padding_bottom_25 {
  padding-bottom: var(--global_size_25);
}

section.is_padding_20 {
  padding-top: var(--global_size_20);
  padding-bottom: var(--global_size_20);
}
section.is_padding_top_20 {
  padding-top: var(--global_size_20);
}
section.is_padding_bottom_20 {
  padding-bottom: var(--global_size_20);
}

section.is_padding_15 {
  padding-top: var(--global_size_15);
  padding-bottom: var(--global_size_15);
}
section.is_padding_top_15 {
  padding-top: var(--global_size_15);
}
section.is_padding_bottom_15 {
  padding-bottom: var(--global_size_15);
}

section.is_padding_10 {
  padding-top: var(--global_size_10);
  padding-bottom: var(--global_size_10);
}
section.is_padding_top_10 {
  padding-top: var(--global_size_10);
}
section.is_padding_bottom_10 {
  padding-bottom: var(--global_size_10);
}

section.is_padding_5 {
  padding-top: var(--global_size_5);
  padding-bottom: var(--global_size_5);
}
section.is_padding_top_5 {
  padding-top: var(--global_size_5);
}
section.is_padding_bottom_5 {
  padding-bottom: var(--global_size_5);
}

/**********************************************************************************/

section.s_padding_0 {
  padding-top: 0;
  padding-bottom: 0;
}

section.s_padding_top_0 {
  padding-top: 0;
}
section.s_padding_bottom_0 {
  padding-bottom: 0;
}
section.s_padding_left_0 {
  padding-left: 0;
}
section.s_padding_right_0 {
  padding-right: 0;
}

/**********************************************************************************/

.section_contener {
  --section_contener_max_width: var(--global_size_section);
  margin-left: auto;
  margin-right: auto;
  max-width: var(--global_size_contener);
  width: 100%;
  max-width: calc(100vw - (100vw - var(--section_contener_max_width)));
}

.section_contener.half {
  margin-left: auto;
  margin-right: auto;
  max-width: 50%;
  width: 100%;
}

.section_contener.sc_mw_1200 {
  --section_contener_max_width: 1200px;
}

.section_contener.sc_mw_1250 {
  --section_contener_max_width: 1250px;
}

.section_contener.sc_mw_1310 {
  --section_contener_max_width: 1310px;
}

.section_contener.sc_mw_1340 {
  --section_contener_max_width: 1340px;
}

.section_contener.sc_mw_1420 {
  --section_contener_max_width: 1420px;
}

.section_contener.sc_mw_1920 {
  --section_contener_max_width: 1920px;
}

.section_contener.sc_mw_none {
  max-width: none;
}

/**********************************************************************************/

.section_contener.sc_mw_content {
  max-width: calc(100vw - (var(--global_padding) * 2));
}

.section_contener.sc_mw_content_ml_0 {
  max-width: calc(100vw - ((100vw - var(--section_contener_max_width)) * 0.5));
  margin-left: 0;
}

.section_contener.sc_mw_content_mr_0 {
  max-width: calc(100vw - ((100vw - var(--section_contener_max_width)) * 0.5));
  margin-right: 0;
}

.section_contener.sc_mw_content_pl_pr {
  padding-left: var(--global_padding);
  padding-right: var(--global_padding);
  max-width: calc(
    var(--section_contener_max_width) + 2 * var(--global_padding)
  );
}

.section_contener.sc_pl {
  padding-left: var(--global_padding);
}

.section_contener.sc_pr {
  padding-right: var(--global_padding);
}

/**********************************************************************************/

section.background_none:not(.background_image) + section.background_none {
  padding-top: 0;
}

section.background_color + section.background_color {
  padding-top: 0;
}

section.background_color.background_image + section.background_color {
  padding-top: var(--global_size_100);
}

section.background_image + section.background_image {
  /*	margin-top: var(--global_size_100); */
}

/**********************************************************************************/

@media screen and (max-width: 1680px) {
}

@media screen and (max-width: 1600px) {
}

@media screen and (max-width: 1440px) {
  section {
    padding-left: var(--global_padding_trd);
    padding-right: var(--global_padding_trd);
  }

  .section_contener.sc_mw_1420 {
    --section_contener_max_width: 1160px;
  }
}

@media screen and (max-width: 1366px) {
}

@media screen and (max-width: 1300px) {
}

@media screen and (max-width: 1200px) {
}

@media screen and (max-width: 1024px) {
  section.background_none + section.background_none {
    padding-top: var(--global_size_100);
  }

  section.background_color + section.background_color {
    padding-top: var(--global_size_100);
  }
}

@media screen and (max-width: 800px) {
  .section_contener.half {
    max-width: fit-content;
  }
}

@media screen and (max-width: 640px) {
}

@media screen and (max-width: 480px) {
}

@media screen and (max-width: 360px) {
}
